---
title: USB.onconnect
slug: Web/API/USB/onconnect
tags:
  - API
  - Method
  - Reference
  - USB
  - WebUSB
  - WebUSB API
  - onconnect
---
<p>{{APIRef("WebUSB API")}}{{SeeCompatTable}}{{securecontext_header}}</p>

<p>The <strong><code>onconnect</code></strong> property of the {{DOMxRef("USB")}} interface is an event handler called whenever a paired device is connected.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>USB</em>.onconnect = <em>connectFunction</em></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web USB","#dom-usb-onconnect","onconnect")}}</td>
   <td>{{Spec2("Web USB")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USB.onconnect")}}</p>
